#include<stdio.h>

int main()


{


  int n,min,max,j,d,s;


  scanf("%d", &n);


  if(n<100 || n>999) {


    printf("-1\n");
   
   return 0;

 }


 else
   {

     j=n%10;
     d=(n%100)/10;
     s=n/100;


     if(j<=d && j<=s)
       min=j;

     else if(d<=j && d<=s)
       min=d;

     else
       min=s;



     if(j>=d && j>=s)
       max=j;

     else if(d>=j && d>=s)
       max=d;

     else
       max=s;


   }

 printf("%d\n", min*100+d*10+max);

}
